#pragma once

//#define DLL_API extern "C" __declspec(dllexport)
extern "C"
{
	typedef int(*ReceivePosData)(const char *pData, int pDataLength, unsigned char cResult);

	__declspec(dllexport) bool __stdcall OpenDevice(int p_nVid, int p_nPid);
	__declspec(dllexport) bool __stdcall CloseDevice();
	__declspec(dllexport) bool __stdcall WriteUsb(LPCVOID lpBuffer, DWORD dwSize);
	__declspec(dllexport) int __stdcall  SetCallback(ReceivePosData pf);
	__declspec(dllexport) bool __stdcall GetDeviceSn(char *pSn, int *pSnLength);
	__declspec(dllexport) bool __stdcall ConnectStaus();
	__declspec(dllexport) bool __stdcall SetReceiveTimeOut(int nTimeOutMillisecond);
}


